xine-lib: vdpau_h264_decoder_s Struct Reference

xine-lib 1.2.12

Data Fields
vdpau_h264_decoder_s Struct Reference

## Data Fields
video_decoder_t | video_decoder
xine_stream_t * | stream
uint64_t | video_step
uint64_t | reported_video_step
int | width
int | height
double | ratio
struct h264_parser * | nal_parser
struct decoded_picture * | incomplete_pic
uint32_t | last_top_field_order_cnt
int | have_frame_boundary_marks
int | wait_for_frame_start
VdpDecoder | decoder
int | decoder_started
int | progressive_cnt
VdpDecoderProfile | profile
vdpau_accel_t * | vdpau_accel
xine_t * | xine
struct coded_picture * | completed_pic
vo_frame_t * | dangling_img
uint8_t * | codec_private
uint32_t | codec_private_len
int | vdp_runtime_nr
int | reset

## Field Documentation

## ◆ codec_private

uint8_t* vdpau_h264_decoder_s::codec_private

## ◆ codec_private_len

uint32_t vdpau_h264_decoder_s::codec_private_len

## ◆ completed_pic

struct coded_picture* vdpau_h264_decoder_s::completed_pic

## ◆ dangling_img

vo_frame_t* vdpau_h264_decoder_s::dangling_img

## ◆ decoder

VdpDecoder vdpau_h264_decoder_s::decoder

## ◆ decoder_started

int vdpau_h264_decoder_s::decoder_started

## ◆ have_frame_boundary_marks

int vdpau_h264_decoder_s::have_frame_boundary_marks

## ◆ height

int vdpau_h264_decoder_s::height

## ◆ incomplete_pic

struct decoded_picture* vdpau_h264_decoder_s::incomplete_pic

## ◆ last_top_field_order_cnt

uint32_t vdpau_h264_decoder_s::last_top_field_order_cnt

## ◆ nal_parser

struct h264_parser* vdpau_h264_decoder_s::nal_parser

## ◆ profile

VdpDecoderProfile vdpau_h264_decoder_s::profile

## ◆ progressive_cnt

int vdpau_h264_decoder_s::progressive_cnt

## ◆ ratio

double vdpau_h264_decoder_s::ratio

## ◆ reported_video_step

uint64_t vdpau_h264_decoder_s::reported_video_step

## ◆ reset

int vdpau_h264_decoder_s::reset

## ◆ stream

xine_stream_t* vdpau_h264_decoder_s::stream

Referenced by open_plugin().

## ◆ vdp_runtime_nr

int vdpau_h264_decoder_s::vdp_runtime_nr

## ◆ vdpau_accel

vdpau_accel_t* vdpau_h264_decoder_s::vdpau_accel

## ◆ video_decoder

video_decoder_t vdpau_h264_decoder_s::video_decoder

## ◆ video_step

uint64_t vdpau_h264_decoder_s::video_step

## ◆ wait_for_frame_start

int vdpau_h264_decoder_s::wait_for_frame_start

## ◆ width

int vdpau_h264_decoder_s::width

## ◆ xine

xine_t* vdpau_h264_decoder_s::xine

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/video_dec/libvdpau/vdpau_h264.c